Summary: A set of GNU text file modifying utilities.
Name: textutils
Version: 2.0
Release: 1a
Copyright: GPL
Group: Applications/Text
Source: ftp://prep.ai.mit.edu/pub/gnu/textutils-%{version}.tar.gz
Buildroot: /var/tmp/text-root
Prereq: /sbin/install-info

%description
A set of GNU utilities for modifying the contents of files, including
programs for splitting, joining, comparing and modifying files.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -f $RPM_BUILD_ROOT/usr/info/textutils*
make prefix=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/bin
install -s -m 755 -o 0 -g 0 $RPM_BUILD_ROOT/usr/bin/cat $RPM_BUILD_ROOT/bin/cat
install -s -m 755 -o 0 -g 0 $RPM_BUILD_ROOT/usr/bin/sort $RPM_BUILD_ROOT/bin/sort
rm -f $RPM_BUILD_ROOT/usr/bin/cat $RPM_BUILD_ROOT/usr/bin/sort
gzip -9nf $RPM_BUILD_ROOT/usr/info/textutils*

(cd $RPM_BUILD_ROOT
strip usr/bin/md5sum usr/bin/cksum usr/bin/comm usr/bin/csplit
strip usr/bin/cut usr/bin/expand usr/bin/fmt usr/bin/fold usr/bin/head
strip usr/bin/join usr/bin/nl usr/bin/od usr/bin/paste usr/bin/pr
strip usr/bin/split usr/bin/sum usr/bin/tac usr/bin/tail
strip usr/bin/tr usr/bin/unexpand usr/bin/uniq usr/bin/wc
)

echo "%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO" > rpm-list
ls -d $RPM_BUILD_ROOT/bin/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/bin/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/man/*/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/info/textutils* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/share/locale/*/*/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
cat rpm-list | grep -v tsort > rpm-list.new
mv -f rpm-list.new rpm-list


%post
/sbin/install-info /usr/info/textutils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/textutils.info.gz /usr/info/dir
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpm-list

%changelog
* Sat Aug 14 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v.2.0

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Mar 06 1998 Michael K. Johnson <johnsonm@redhat.com>
- made tmpfile creation safe (even for root) in sort and tac.

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Rebuilt against glibc

